CMSIS-DSP: fast_math_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fast_math_functions_f16.h File Reference

## Functions

__STATIC_FORCEINLINE arm_status | arm_sqrt_f16 (float16_t in, float16_t *pOut)
| Floating-point square root function. More...
void | arm_vlog_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector of log values. More...
void | arm_vexp_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector of exp values. More...
void | arm_vinverse_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Floating-point vector of inverse values. More...
arm_status | arm_atan2_f16 (float16_t y, float16_t x, float16_t *result)
| Arc tangent in radian of y/x using sign of x and y to determine right quadrant. More...

## Function Documentation

void arm_vexp_f16 | ( | const float16_t * | pSrc,
|  | float16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [out] | pDst | points to the output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_vinverse_f16 | ( | const float16_t * | pSrc,
|  | float16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [out] | pDst | points to the output vector
  [in] | blockSize | number of samples in each vector

Returns
  none